Uploaded image for project: 'Flink'
  1. Flink
  2. FLINK-8033

JDK 9 support

Attach filesAttach ScreenshotVotersWatch issueWatchersCreate sub-taskLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

    Details

    • Release Note:
      Hide
      Flink can be compiled and run on Java 9. Note that certain components interacting with external systems (connectors, filesystems, reporters) may not work since the respective projects may have skipped Java 9 support.
      Modularized user-jars have not been tested and may or may not work.
      Show
      Flink can be compiled and run on Java 9. Note that certain components interacting with external systems (connectors, filesystems, reporters) may not work since the respective projects may have skipped Java 9 support. Modularized user-jars have not been tested and may or may not work.

      Description

      This is a JIRA to track all issues that found to make Flink compatible with Java 9.

        Attachments

        Issue Links

        There are no Sub-Tasks for this issue.

          Activity

            People

            • Assignee:
              chesnay Chesnay Schepler
              Reporter:
              yew1eb Hai Zhou

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - Not Specified
                Not Specified
                Remaining:
                Remaining Estimate - 0h
                0h
                Logged:
                Time Spent - 7h 20m
                7h 20m

                  Issue deployment